<?php
class ModelModuleGCheckout extends Model {
	
	public function createDatabaseTables() {
		$sql  = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."google_download` ( ";
		$sql .= "`order_reference` varchar(32) character set utf8 NOT NULL, ";
		$sql .= "`product_id` int(11) NOT NULL, ";
		$sql .= "`download_id` int(11) NOT NULL default '0', ";
		$sql .= "`name` varchar(64) character set utf8 NOT NULL, ";
		$sql .= "`filename` varchar(128) character set utf8 NOT NULL, ";
		$sql .= "`mask` varchar(128) character set utf8 NOT NULL, ";
		$sql .= "`remaining` int(3) NOT NULL default '1', ";
		$sql .= "`expire` int(10) NOT NULL default '0', ";
		$sql .= "PRIMARY KEY  (`order_reference`,`product_id`,`download_id`) ";
		$sql .= ") ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;";
		$this->db->query($sql);
		$sql  = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."google_order` ( ";
		$sql .= "`order_reference` varchar(32) NOT NULL, ";
		$sql .= "`expire` int(10) NOT NULL default '0', ";
		$sql .= "PRIMARY KEY  (`order_reference`) ";
		$sql .= ") ENGINE=MyISAM DEFAULT CHARSET=utf8;";
		$this->db->query($sql);
	}
	
	
	public function dropDatabaseTables() {
		$sql = "DROP TABLE IF EXISTS `".DB_PREFIX."google_download`;";
		$this->db->query($sql);
		$sql = "DROP TABLE IF EXISTS `".DB_PREFIX."google_order`;";
		$this->db->query($sql);
	}
}
?>